commit:     12d10fba7c53fa06425b3c28d347ecd8ce35a55b
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Thu Jan 16 18:00:14 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jan 19 13:48:25 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12d10fba

dev-vcs/tortoisehg: 6.9 version bump

Closes: https://bugs.gentoo.org/947315
Bug: https://bugs.gentoo.org/948006
Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
Closes: https://github.com/gentoo/gentoo/pull/40166
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-vcs/tortoisehg/Manifest                                 |  1 +
 .../{tortoisehg-9999.ebuild => tortoisehg-6.9.ebuild}       | 13 +++++++------
 dev-vcs/tortoisehg/tortoisehg-9999.ebuild                   | 12 ++++++------
 3 files changed, 14 insertions(+), 12 deletions(-)

diff --git a/dev-vcs/tortoisehg/Manifest b/dev-vcs/tortoisehg/Manifest
index 212a41c70d1b..67b36e111bae 100644
--- a/dev-vcs/tortoisehg/Manifest
+++ b/dev-vcs/tortoisehg/Manifest
@@ -1 +1,2 @@
 DIST tortoisehg-6.6.3.tar.gz 8857342 BLAKE2B 
166d1305ed3ee54496b3e0b08fc92a34a56a9398aa618a0f2266e7413fafc371be3c308debc3260a15b59c147a00bbe0773df52a838c4a4f0028b29c1cb05090
 SHA512 
8de8a68a753e8554dcb9936f6ba237e0598df65e6039f7c608e692bc375258e64a443e27e63c337f361fc32c0076b79bd98a972c220089902ff4489ab3507928
+DIST tortoisehg-6.9.tar.gz 8862668 BLAKE2B 
b7f917a8c9f0ca575e27ab1670bfe940e6257940691c53fca464b4012417283c9915fe5f604b0c1a5cb7f620ce20b47e945bb9e88b301f7ac036c19fcb4508b5
 SHA512 
f9f7ed9c3a1cdf633c453a12c7f68505027975fbd858c4e9cd4ce09920126f22043c1621a5d949391d31a9a13331cee2466d718635aa16dc8558bac5536d14fb

diff --git a/dev-vcs/tortoisehg/tortoisehg-9999.ebuild 
b/dev-vcs/tortoisehg/tortoisehg-6.9.ebuild
similarity index 84%
copy from dev-vcs/tortoisehg/tortoisehg-9999.ebuild
copy to dev-vcs/tortoisehg/tortoisehg-6.9.ebuild
index a18ccd3822a5..026b203968d8 100644
--- a/dev-vcs/tortoisehg/tortoisehg-9999.ebuild
+++ b/dev-vcs/tortoisehg/tortoisehg-6.9.ebuild
@@ -1,24 +1,24 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{10..13} )
 DISTUTILS_USE_PEP517=setuptools
 inherit desktop distutils-r1 optfeature xdg-utils
 
 if [[ ${PV} != *9999* ]]; then
        KEYWORDS="~amd64 ~arm64 ~x86"
        
SRC_URI="https://foss.heptapod.net/mercurial/${PN}/thg/-/archive/${PV}/thg-${PV}.tar.gz
 -> ${P}.tar.gz"
-       HG_DEPEND=">=dev-vcs/mercurial-6.2[${PYTHON_USEDEP}]
-               $(python_gen_cond_dep 
'>=dev-vcs/mercurial-6.3.2[${PYTHON_USEDEP}]' python3_11 )
-               <dev-vcs/mercurial-6.7[${PYTHON_USEDEP}]"
+       HG_DEPEND=">=dev-vcs/mercurial-6.3[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 
'>=dev-vcs/mercurial-6.9[${PYTHON_USEDEP}]' python3_13 )
+               <dev-vcs/mercurial-6.10[${PYTHON_USEDEP}]"
        S="${WORKDIR}/thg-${PV}"
 else
        inherit mercurial
        EHG_REPO_URI="https://foss.heptapod.net/mercurial/${PN}/thg";
        EHG_REVISION="stable"
-       HG_DEPEND=">=dev-vcs/mercurial-6.2[${PYTHON_USEDEP}]"
+       HG_DEPEND=">=dev-vcs/mercurial-6.3[${PYTHON_USEDEP}]"
 fi
 
 DESCRIPTION="Set of graphical tools for Mercurial"
@@ -50,6 +50,7 @@ python_prepare_all() {
        rm "${S}"/hgext3rd/__init__.py || die "can't remove 
/hgext3rd/__init__.py"
 
        sed -i -e 's:share/doc/tortoisehg:share/doc/'"${PF}"':' setup.py || die
+       sed -i -e '/^testedwith/s/6.8/6.8 6.9/' tortoisehg/util/hgversion.py || 
die
        export THG_QT_API=PyQt6
        distutils-r1_python_prepare_all
 }

diff --git a/dev-vcs/tortoisehg/tortoisehg-9999.ebuild 
b/dev-vcs/tortoisehg/tortoisehg-9999.ebuild
index a18ccd3822a5..888aa2f9a021 100644
--- a/dev-vcs/tortoisehg/tortoisehg-9999.ebuild
+++ b/dev-vcs/tortoisehg/tortoisehg-9999.ebuild
@@ -1,24 +1,24 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{10..13} )
 DISTUTILS_USE_PEP517=setuptools
 inherit desktop distutils-r1 optfeature xdg-utils
 
 if [[ ${PV} != *9999* ]]; then
        KEYWORDS="~amd64 ~arm64 ~x86"
        
SRC_URI="https://foss.heptapod.net/mercurial/${PN}/thg/-/archive/${PV}/thg-${PV}.tar.gz
 -> ${P}.tar.gz"
-       HG_DEPEND=">=dev-vcs/mercurial-6.2[${PYTHON_USEDEP}]
-               $(python_gen_cond_dep 
'>=dev-vcs/mercurial-6.3.2[${PYTHON_USEDEP}]' python3_11 )
-               <dev-vcs/mercurial-6.7[${PYTHON_USEDEP}]"
+       HG_DEPEND=">=dev-vcs/mercurial-6.3[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 
'>=dev-vcs/mercurial-6.9[${PYTHON_USEDEP}]' python3_13 )
+               <dev-vcs/mercurial-6.10[${PYTHON_USEDEP}]"
        S="${WORKDIR}/thg-${PV}"
 else
        inherit mercurial
        EHG_REPO_URI="https://foss.heptapod.net/mercurial/${PN}/thg";
        EHG_REVISION="stable"
-       HG_DEPEND=">=dev-vcs/mercurial-6.2[${PYTHON_USEDEP}]"
+       HG_DEPEND=">=dev-vcs/mercurial-6.3[${PYTHON_USEDEP}]"
 fi
 
 DESCRIPTION="Set of graphical tools for Mercurial"

Reply via email to